/*
 * XmlImportDemo.java
 *
 * <p>Copyright: Copyright (c) 2006-2007 by Steema Software SL. All Rights
 * Reserved.</p>
 *
 * <p>Company: Steema Software SL</p>
 */

package features.imports;

import com.steema.teechart.imports.Imports;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.FileNotFoundException;
import javax.swing.Box;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import features.ChartSamplePanel;

/**
 *
 * @author tom
 */
public class XmlImportDemo extends ChartSamplePanel
    implements ActionListener {

    /**
     * Creates a new instance of XmlImportDemo
     */
    public XmlImportDemo() {
        super();
        loadButton.addActionListener(this);
    }

    public void actionPerformed(ActionEvent ae) {
        Object source = ae.getSource();

        if (source == loadButton) {
            try {
                //new Imports(chart1.getChart()).getTemplate().fromXML(urlTextField.getText());
                chart1.setChart(chart1.getImport().getTemplate().fromXML(urlTextField.getText()));
                chart1.repaint();
            }
            catch (FileNotFoundException e) {
                System.out.println(e);
            }
        }
    }

    protected void initChart() {
        super.initChart();
        chart1.getHeader().setText("XML Data from Web");
    }

    protected void initComponents() {
        super.initComponents();
        loadButton = new JButton("Load!");
        //urlTextField = new JTextField("http://www.steema.com/SampleData.xml");
        urlTextField = new JTextField("d://SampleData2.xml");
    }

    protected void initGUI() {
        super.initGUI();
        JLabel tmpLabel;
        JPanel tmpPane = getButtonPane();
        {
            tmpLabel = new JLabel("URL:");
            tmpLabel.setDisplayedMnemonic('U');
            tmpLabel.setLabelFor(urlTextField);
            tmpPane.add(tmpLabel);
            tmpPane.add(urlTextField);
            tmpPane.add(Box.createHorizontalStrut(10));
            tmpPane.add(loadButton);
            tmpPane.add(Box.createHorizontalGlue());
        }
    }

    private JButton loadButton;
    private JTextField urlTextField;
}
