/*
 * CircularGaugeDemo.java
 *
 * <p>Copyright: Copyright (c) 2005-2008 by Steema Software SL. All Rights
 * Reserved.</p>
 *
 * <p>Company: Steema Software SL</p>
 */

package features.style.circulargauge;

import com.steema.teechart.drawing.Color;
import com.steema.teechart.editors.ButtonPen;
import com.steema.teechart.editors.ChartEditor;
import com.steema.teechart.styles.CircularGauge;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.Box;
import javax.swing.JButton;
import javax.swing.JPanel;
import features.ChartSamplePanel;

/**
 *
 * @author tom
 */
public class CircularGaugeDemo extends ChartSamplePanel
    implements ActionListener {

    private CircularGauge series;
    private ButtonPen borderButton, penButton;

    /** Creates a new instance of WaterfallDemo */
    public CircularGaugeDemo() {
        super();
    }

    public void actionPerformed(ActionEvent e) {
       Object source = e.getSource();
       if (source == editButton) {
           ChartEditor.editSeries(series);
       }
    }

    protected void initComponents() {
        super.initComponents();

        series = new CircularGauge(chart1.getChart());
        
        series.getFrame().getOuterBand().setColor(Color.fromArgb(153,153,153));
        series.getFrame().getMiddleBand().getGradient().setVisible(true);
        series.getFrame().getMiddleBand().getGradient().setStartColor(Color.fromArgb(80,80,80));
        series.getFrame().getMiddleBand().getGradient().setEndColor(Color.WHITE);
        series.getFrame().getInnerBand().setColor(Color.fromArgb(213,213,213));
        
        //series.getFaceBrush().setForegroundColor(com.steema.teechart.drawing.Color.BLUE);
        
        series.fillSampleValues();

        editButton = new JButton("Edit...");

        //borderButton = new ButtonPen(series.getPen(), "Border...");
        //penButton = new ButtonPen(series.getWaterLines(), "Lines...");
    }

    protected void initGUI() {
        super.initGUI();
        JPanel tmpPane = getButtonPane();
        {
//            tmpPane.add(borderButton);
//            tmpPane.add(Box.createHorizontalStrut(10));
//            tmpPane.add(penButton);
//            tmpPane.add(Box.createHorizontalStrut(20));
//            tmpPane.add(editButton);
//            tmpPane.add(Box.createHorizontalGlue());
        }
    }

    private JButton editButton;
}
